Name:           puppet-kerberos
Version:        2.1
Release:        1%{?dist}
Summary:        Puppet module for kerberos service

Group:          CERN/Utilities
License:        BSD
URL:            http://linux.cern.ch
Source0:        %{name}-%{version}.tar.gz

BuildArch:      noarch

Requires:       puppet-keytab

%description
Puppet module for kerberos service.

%prep
%setup -n code

%build
CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
install -d %{buildroot}/%{_datadir}/puppet/modules/kerberos/
cp -ra * %{buildroot}/%{_datadir}/puppet/modules/kerberos/
touch %{buildroot}/%{_datadir}/puppet/modules/kerberos/linuxsupport

%files -n puppet-kerberos
%{_datadir}/puppet/modules/kerberos
%doc README.md

%changelog
* Wed Sep 05 2018 Thomas Oulevey <thomas.oulevey@cern.ch> - 2.1-1
- Add few FNAL kdcs

* Mon Jun 04 2018 Thomas Oulevey <thomas.oulevey@cern.ch> - 2.0-2
- Fix an issue with authconfig not being executed for pam settings.

* Thu May 03 2018 Thomas Oulevey <thomas.oulevey@cern.ch> - 2.0-1
- Rebuild for 7.5

* Tue Nov 29 2016 Thomas Oulevey <thomas.oulevey@cern.ch> - 0.2-1
- Rebuild for 7.3 release

* Fri Jun 17 2016 Aris Boutselis <aris.boutselis@cern.ch>
-Initial release
